#!/bin/sh

# perftune_clearqueues.sh
#
# Last UpdateD: 2004/01/30 09:52 CST
# Desription:
#   Shell script to clear the MQ queues from a ITIM WAS server.
# Usage:
#   This script should be run as root with write access in TEMP
#   (see below).

# Temporary directory
TEMP=/tmp

# Get the queue manager name
QUEUEMANAGER=`dspmq | grep jmsserver | cut -d'(' -f 2 | cut -d')' -f 1`

# Create clear queue script
for i in WQ_itim_adhocSync WQ_itim_ms WQ_itim_rs WQ_itim_wf WQ_itim_wf_abort WQ_itim_wf_pending
do
echo "clear qlocal('$i')" >> $TEMP/clearqueues.mqs
done

# Run the script through runmqsc
runmqsc $QUEUEMANAGER < $TEMP/clearqueues.mqs

# Delete the script
rm $TEMP/clearqueues.mqs
