#!/bin/sh

# perfcheck_itim.sh
#
# Last Updated: 2004/01/23 09:39 CST
# Desription:
#   Shell script to gather tuning information from itim.
# Usage:
#   This script should be run as root. Output can
#   be redirected to a file to send to support if needed.


# ITIM Installation Directory (eg: /itim45)
ITIM_HOME=/itim45


# Stop if we're not root
ID=`id | grep uid=0`
if [ "$?" != "0" ]
then
echo "ERROR: This script should be run as root."
exit 1;
fi


echo "*******************************"
echo "perfcheck_itim.sh"
uname -a
date
echo "*******************************"

echo
echo "Thread settings"
echo "---------------------------"
grep THREADS $ITIM_HOME/data/enRole.properties | grep enrole.messaging

