#!/bin/sh

# perftune_queues_getinfo.sh
#
# Last UpdateD: 2004/07/06 12:21 CDT
# Desription:
#   Shell script to get MQ queue information
# Usage:
#   This script should be run as root with write access in TEMP
#   (see below).

# Temporary directory
TEMP=/tmp

# Get the queue manager name
QUEUEMANAGER=`dspmq | grep jmsserver | cut -d'(' -f 2 | cut -d')' -f 1`

# Create get queue info script
for i in WQ_itim_adhocSync WQ_itim_ms WQ_itim_rs WQ_itim_wf WQ_itim_wf_abort WQ_itim_wf_pending
do
echo "display queue('$i') $1" >> $TEMP/getqueueinfo.mqs
done

# Run the script through runmqsc
runmqsc $QUEUEMANAGER < $TEMP/getqueueinfo.mqs

# Delete the script
rm $TEMP/getqueueinfo.mqs
